using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application
{
    [Table("bs_inspection_org_dir_stage")]
    [Comment("名录期数")]
    public class BsInspectionOrgDirStage : Core.DEntityBase
    {
        [Comment("名录期数")]
        [Required]
        [MaxLength(100)]
        public string No { get; set; }

        [Comment("名录包含机构数量(冗余)")]
        [Required]
        public int OrgAmount { get; set; }

        [Comment("被除名机构数量(冗余)")]
        [Required]
        public int RemovedOrgAmount { get; set; }

        [Comment("同比上一年新入或回归机构数量(冗余)")]
        [Required]
        public int NewOrgAmount { get; set; }

        [Comment("状态 0未发布 1已发布")]
        [Required]
        public int Status { get; set; }

        [Comment("发布时间")]
        public DateTime? PublishTime { get; set; }
    }
}
